Bug 144377 - Qmake manager, parsing error when value placed on the following line
Summary: Qmake manager, parsing error when value placed on the following line
Status: RESOLVED FIXED
Alias: None
Product: kdevelop
Classification: Unclassified
Component: Build tools: QMake (show other bugs)
Version: 3.4.0
Platform: unspecified Linux
: NOR normal with 10 votes (vote)
Target Milestone: ---
Assignee: kdevelop-bugs-null
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-04-18 11:15 UTC by Rui L. Pires
Modified: 2007-05-04 12:40 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rui L. Pires 2007-04-18 11:15:25 UTC
Version:           3.4.0 (using KDE 3.5.4, compiled sources)
Compiler:          Target: i586-mandriva-linux-gnu
OS:                Linux (i686) release 2.6.17-6mdv

Any variable with a blank first line, generates a parsing error when kdevelop loads the project.

Examples, causes parsing error:

CONFIG += \
staticlib \
qt

SOURCES += \
file.cpp

Following, no parsing error:
CONFIG += staticlib \
qt

SOURCES += file.cpp
Comment 1 Rui L. Pires 2007-04-18 11:16:24 UTC
Details on version:

Self compiled RPMs, kdevelop 3.4 branch, svn export of 13/Apr/2007.
Comment 2 Andreas Bacher 2007-05-03 13:52:56 UTC
I can confirm this behavior for the 3.4.0.2 version.
Comment 3 Andreas Pakulat 2007-05-04 12:40:31 UTC
SVN commit 660991 by apaku:

Fix a few parser issues:
1. Correctly parse 1-character-long variable values
2. Don't choke on multiline-values that don't have whitespace at the beginning of the line
3. Allow EOF at the end of a variable assignment, instead of just newline

BUG:144377
BUG:144987
CCBUG:145009


 M  +5 -4      qmake.ll  
 M  +27 -0     qmake.yy  
 M  +124 -119  qmake_lex.cpp  
 M  +183 -142  qmake_yacc.cpp  
 M  +3 -2      qmake_yacc.hpp